{% extends 'base.html.twig' %}

{% block title %}
	<title>{{ vehicleFilters.constructor }}
		-
		{{ vehicleFilters.model }}</title>
{% endblock %}

{% block stylesheets %}
	{{parent()}}
	<link href="{{ asset('css/product_listing.css') }}" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block ajax %}
	{{parent()}}
	<script src="{{ asset('js/product_listing.js') }}"></script>
{% endblock %}


{% block body %}

	<div class="container p-3">
		{% if vehicleFilters.twowheels == true %}
			<a href="{{ path('app_listing_bikes') }}">
				<i class="fa-solid fa-circle-arrow-left left_arrow_back p-3"></i>
			</a>
		{% elseif vehicleFilters.fourwheels == true %}
			<a href="{{ path('app_listing_cars') }}" class="p-2">
				<i class="fa-solid fa-circle-arrow-left left_arrow_back p-3"></i>
			</a>
		{% endif %}
	</div>

	<div class="container-fluid d-flex flex-column align-items-center ">
		<div class="container col-10 mb-4 pb-4">
			<div class="row">
				<div class="col-md-8 col-sm-12 mb-3 d-flex justify-content-center" style="max-height: 500px;">
					{% for picture in vehiclePictures %}
						{% if vehicleType == 'cars' %}
							<img src="{{ asset('images/cars/' ~ picture.pictures) }}" alt="Car Picture" class="img_max_value" style="display: block; max-height:500px; width: auto; height: auto;">
						{% elseif vehicleType == 'bikes' %}
							<img src="{{ asset('images/bikes/' ~ picture.pictures) }}" alt="Bike Picture" style="display: block; max-height:500px; width: auto; height: auto;">
						{% endif %}
					{% endfor %}
				</div>
				<div class="col-md-4 col-sm-12">
					<div class="d-flex flex-row">
						<div class="d-flex flex-column">
							<p class="constructor_model">
								{{ vehicleFilters.constructor }}
								{{ vehicleFilters.model }}
							</p>
							<p>
								{{ vehicleFilters.description }}
							</p>
						</div>
						<div>
							{% if app.user %}
								<a href="{{ path('app_add_fav', {'id': vehicle.id}) }}" class="btn-favorite lecoeur">
									<i class="fa-regular fa-heart laicone pl-4" style="color: grey; white; font-size: 27px;"></i>
								</a>
							{% else %}
								<a href="{{ path('app_add_fav', {'id': vehicle.id}) }}" class="btn-favorite lecoeur">
									<i class="fa-regular fa-heart laicone pl-4" style="color: grey; white; font-size: 27px;"></i>
								</a>
							{% endif %}
						</div>
					</div>
					<p>
						<div class="style_buy_price">{{ vehicleFilters.buyPrice|number_format(0, ',', ' ') }}
							€</div>
						<div>
							<p>dès
								{{ vehicleFilters.locationPrice }}€ / mois</p>
						</div>
					</p>
					<div class="d-flex flex-row justify-content-around display_information">
						<div class="d-flex flex-column mt-3">
							<div class="d-flex flex-row">
								<i class="fa-regular fa-calendar mr-2"></i>
								<p>{{ vehicle.productionYear|date('Y') }}</p>
							</div>
							<div class="d-flex flex-row">
								<i class="fa-solid fa-gauge-high mr-2"></i>
								<p>{{ vehicle.kilometers }}km</p>
							</div>

						</div>
						<div class="d-flex flex-column mt-3">
							<div class="d-flex flex-row">
								<i class="fa-solid fa-motorcycle mr-2"></i>
								<p>{{ vehicleFilters.fiscalHorsePower }}CV</p>
							</div>
							<div class="d-flex flex-row">
								<i class="fa-solid fa-gas-pump mr-2"></i>
								<p>{{ vehicleFilters.fuelType }}</p>
							</div>
						</div>
					</div>
					<hr class="delimitation_views_informations">
					<div class="d-flex flex-column">
						<div class="d-flex flex-row">
							<p class="mr-2">
								<i class="fa-regular fa-eye"></i>
							</p>
							<p>294 vues</p>
						</div>
						<div class="d-flex flex-row">
							<p class="mr-2">
								<i class="fa-regular fa-heart"></i>
							</p>
							<p>36 favoris</p>
						</div>
					</div>
					<div class="mt-2">
						<a href="{{ path('contact_form') }}" class="btnR col-md-8 ">Demander une visite</a>
					</div>
				</div>
			</div>
		</div>


		<div class="col-10 row flex-row-reverse mb-3">

			<div class="col-md-4 col-xs-12 col-sm-12 ratings_background">
				<div class="d-flex flex-column mt-2">
					<div class="text-center mt-3">
						<p class="bold_Text_Ratings">CAROSSERIE</p>
						<div class="rating">
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9734;</span>
						</div>
						<p>très bon</p>
					</div>
					<div class="text-center mt-3">
						<p class="bold_Text_Ratings">INTERIEUR</p>
						<div class="rating">
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9734;</span>
						</div>
						<p>très bon</p>
					</div>
					<div class="text-center mt-3">
						<p class="bold_Text_Ratings">MECANIQUE</p>
						<div class="rating">
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9734;</span>
						</div>
						<p>très bon</p>
					</div>
					<div class="text-center mt-3">
						<p class="bold_Text_Ratings">SUIVI ENTRETIEN</p>
						<div class="rating">
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
							<span class="star colorStars">&#9733;</span>
						</div>
						<p>excellent</p>
					</div>
					<div class="d-flex flex-row">
						<p>
							<i class="fa-regular fa-circle-check mr-2 check_rating"></i>
						</p>
						<p class="mt-2">Ces notes sont attribuées par un conseiller Bonnie&Car suite à un entretien avec le vendeur</p>
					</div>
				</div>
			</div>

			<div class="d-flex flex-column col-md-8 col-sm-12 mb-3">
				<div class=" border d-flex flex-column mb-3 p-4">
					<p>Bonjour</p>
					<p class="pb-5">J'ai acheté une nouvelle voiture, je souhaite donc me séparer de celle-ci.</p>
					<div class="d-flex justify-content-end mt-5">
						<p>Mot du vendeur, Donovan</p>
					</div>
				</div>

				<div id="Caracteristique" class="Caracteristique">
					<div class="d-flex flew-row align-items-center justify-content-between deployBtn mb-3" id="Caracteristique" onclick="afficherReponse('les_caracteristiques')">
						<p class="mt-3">Caractéristique</p>
						<i class="fa-solid fa-chevron-down mr-3"></i>
					</div>
					<div id="les_caracteristiques" class="sous-paragraphe" style="display: none;">
						<div class="d-flex flex-column">
							<p>Mise en circulation</p>
							<p>{{ vehicle.productionYear|date('d/m/Y') }}</p>
							{% if vehicleFilters.guarantee is same as true %}
								<p>Garantie, Date de fin Garantie constructeur</p>
								<p>{{ vehicleFilters.guaranteeLimitDate|date('d/m/Y') }}</p>
							{% else %}
								<p>Aucune guarantie Constructeur</p>
							{% endif %}
							<p>Motorisation</p>
							<p>1.2 PureTech 130 EAT8</p>
							<p>Type voiture
								{{vehicle.kilometers}}km</p>
							<p>Consommation
								{{ vehicleFilters.averageConsumption}}L/100km</p>
							<p>Carburant
								{{vehicleFilters.fuelType}}</p>
							<p>Certificat : Crit'Air{{ vehicleFilters.v9Critary}}</p>
							<p>Boîte de vitesse
								{{vehicleFilters.transmission}}</p>
							<p>Couleur :
								{{ vehicle.color}}</p>
							<p>Emission de CO2 (WLTP combiné)</p>
							<p>{{vehicleFilters.co2Emission}}g/km - Cat D</p>
							<p>nombre de portes
								{{ vehicle.doors}}</p>

							<div class="d-flex flex-row">
								<div class="d-flex flex-column">
									<p>Energie verte</p>
								</div>
								<div class="d-flex flex-column">
									<p>Première main</p>
								</div>
								<div class="d-flex flex-column">
									<p>garantie</p>
								</div>
							</div>
						</div>
					</div>
				</div>

				<div id="Equipement" class="Equipement">
					<div class="d-flex flew-row align-items-center justify-content-between deployBtn mb-3" id="Equipement" onclick="afficherReponse('equipement_option')">
						<p class="mt-3">Equipement & options</p>
						<i class="fa-solid fa-chevron-down mr-3"></i>
					</div>
					<div id="equipement_option" class="sous-paragraphe" style="display: none;">
						<div class="d-flex flex-column">
							<p>Rétreoviseur extérieurs</p>
							<p>électriques dégivrants</p>
							<p>Combiné numérique 12,3"</p>
							<p>personnalisable</p>
							<p>Climatisation automatique</p>
							<p>bizone</p>
							<p>My Citroën Play - Mirror Screen,</p>
							<p>Système audio numérique bi-tuner RDS</p>
							<p>MP3 (DAB) tablette tactile 8"</p>
							<p>Lève-vitres AV et AR électriques</p>
							<p>et séquentiele</p>
							<p>Kit mains libres bluetooth et 3 prise USB</p>
							<p>3 sièges AR indépendants,</p>
							<p>coulissants, inclinables et</p>
							<p>escamotables</p>
							<p>Prises 12V sur la console centrale et</p>
							<p>dans le coffre</p>
							<p>Essuie-vitres AV automatique</p>
							<p>Magic-Wash</p>
						</div>
					</div>
				</div>

				<div id="Avis" class="Avis">
					<div class="d-flex flew-row align-items-center justify-content-between deployBtn mb-3" id="Avis" onclick="afficherReponse('les_avis')">
						<p class="mt-3">Avis sur le modèle</p>
						<i class="fa-solid fa-chevron-down mr-3"></i>
					</div>
					<div id="les_avis" class="sous-paragraphe" style="display: none;">
						<div class="d-flex flex-column">
							<div class="d-flex flex-row justify-content-between">
								<div class="d-flex flex-row">
									<p>5/5</p>
									<div class="rating">
										<span class="star colorStars">&#9733;</span>
										<span class="star colorStars">&#9733;</span>
										<span class="star colorStars">&#9733;</span>
										<span class="star colorStars">&#9733;</span>
										<span class="star colorStars">&#9733;</span>
									</div>
								</div>
							</div>
							<div class="d-flex flex-row justify-content-between">
								<div class="d-flex flex-column">
									<p>Rapport qualité prix</p>
									<input type="range" class="form-range" id="rangeApport">
								</div>
								<div class="d-flex flex-column">
									<p>Expérience de conduite en ville</p>
									<input type="range" class="form-range" id="rangeApport">
								</div>
							</div>
							<div class="d-flex flex-row justify-content-between">
								<div class="d-flex flex-column">
									<p>Expérience de conduite sur route</p>
									<input type="range" class="form-range" id="rangeApport">
								</div>
								<div class="d-flex flex-column">
									<p>Confort à l'avant</p>
									<input type="range" class="form-range" id="rangeApport">
								</div>
							</div>
							<div class="d-flex flex-row justify-content-between">
								<div class="d-flex flex-column">
									<p>Confort à l'arrière</p>
									<input type="range" class="form-range" id="rangeApport">
								</div>
								<div class="d-flex flex-column">
									<p>Insonorisation</p>
									<input type="range" class="form-range" id="rangeApport">
								</div>
							</div>
						</div>
					</div>
				</div>

				<div id="garantie" class="garantie">
					<div class="d-flex flew-row align-items-center justify-content-between deployBtn mb-3" id="garantie" onclick="afficherReponse('la_garantie')">
						<p class="mt-3">Garantie & entretien</p>
						<i class="fa-solid fa-chevron-down mr-3"></i>
					</div>
					<div id="la_garantie" class="sous-paragraphe" style="display: none;">
						<div class="d-flex flex-column">
							<p>
								Ce véhicule est sous garantie constructeur Citroën jusqu'au
								{{ vehicleFilters.guaranteeLimitDate|date('d/m/Y') }}
								soit pour une durée de 20 mois. Les travaux couverts par la garantie seront effectués gratuitement par les professionnels du réseau constructeur.</p>
						</div>
					</div>
				</div>

				<div id="Financement" class="Financement">
					<div class="d-flex flew-row align-items-center justify-content-between deployBtn mb-3" id="Financement" onclick="afficherReponse('le_financement')">
						<p class="mt-3">Financement</p>
						<i class="fa-solid fa-chevron-down mr-3"></i>
					</div>
					<div id="le_financement" class="sous-paragraphe" style="display: none;">
						<div class="d-flex flex-column justify-content-center">
							<p>Financez votre projet de 2.800,00€ en 5 minutes</p>
							<div class="d-flex flex-column justify-content-center">
								<label for="rangeApport" class="form-label">Votre apport</label>
								<input type="range" class="form-range" id="rangeApport">
							</div>
							<div class="d-flex flex-column justify-content-center">
								<label for="rangeMensualite" class="form-label">Mensualités</label>
								<input type="range" class="form-range" id="rangeMensualite">
							</div>
							<input type="submit" value="J'obtiens mon crédit" class="btnR">
						</div>
					</div>
				</div>
			</div>


		</div>
	</div>
{% endblock %}
